org.eclipse.jgit.lib

## Class ObjectIdRef.PeeledTag

- java.lang.Object
- - org.eclipse.jgit.lib.ObjectIdRef
  - - org.eclipse.jgit.lib.ObjectIdRef.PeeledTag

All Implemented Interfaces:
  Ref

Enclosing class:
  ObjectIdRef

    public static class ObjectIdRef.PeeledTag
    extends ObjectIdRef

An annotated tag whose peeled object has been cached.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jgit.lib.ObjectIdRef

`ObjectIdRef.PeeledNonTag, ObjectIdRef.PeeledTag, ObjectIdRef.Unpeeled`

### Nested classes/interfaces inherited from interface org.eclipse.jgit.lib.Ref

`Ref.Storage`

### Constructor Summary

Constructors
Constructor and Description
`PeeledTag(Ref.Storage st, String name, ObjectId id, ObjectId p)` Create a new ref pairing.

### Method Summary

All Methods Instance Methods Concrete Methods
`ObjectId` `getPeeledObjectId()` Cached value of `ref^{}` (the ref peeled to commit).
`boolean` `isPeeled()`

### Methods inherited from class org.eclipse.jgit.lib.ObjectIdRef

`getLeaf, getName, getObjectId, getStorage, getTarget, isSymbolic, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PeeledTag

    public PeeledTag(Ref.Storage st,
                     String name,
                     ObjectId id,
                     ObjectId p)

Create a new ref pairing.

Parameters:
  `st` - method used to store this ref.
  `name` - name of this ref.
  `id` - current value of the ref.
  `p` - the first non-tag object that tag `id` points to.

### Method Detail

#### getPeeledObjectId

    public ObjectId getPeeledObjectId()

Description copied from interface: `Ref`
Cached value of `ref^{}` (the ref peeled to commit).

Returns:
  if this ref is an annotated tag the id of the commit (or tree or blob) that the annotated tag refers to; null if this ref does not refer to an annotated tag.

#### isPeeled

    public boolean isPeeled()

Returns:
  whether the Ref represents a peeled tag